<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="caseActivity">
            <h2><span>Case Activity</span> {{ caseActivity.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Case Instance Id</span></dt>
                <dd>
                    <span>{{ caseActivity.caseInstanceId }}</span>
                </dd>
                <dt><span>Event</span></dt>
                <dd>
                    <span>{{ caseActivity.event }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ caseActivity.remark }}</span>
                </dd>
                <dt><span>Created By</span></dt>
                <dd>
                    <span>{{ caseActivity.createdBy }}</span>
                </dd>
                <dt><span>Updated By</span></dt>
                <dd>
                    <span>{{ caseActivity.updatedBy }}</span>
                </dd>
                <dt><span>Created At</span></dt>
                <dd>
                    <span>{{ caseActivity.createdAt }}</span>
                </dd>
                <dt><span>Updated At</span></dt>
                <dd>
                    <span>{{ caseActivity.updatedAt }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/case-activity', caseActivity.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
